<!--#INCLUDE FILE="filefunctions.asp"-->
<%
Dim strSearchTop
Dim strSearchBottom
'_______________________________________________________________________________

Function BuildCategoryPickList(blnDefault, blnUserViewable)
	Dim SQLQ, strTemp
	SQLQ = "SELECT * FROM CATEGORIES"
	If blnUserViewable = 1 Then
		SQLQ = SQLQ & " WHERE UserViewable = True"
	End If
	SQLQ = SQLQ & " ORDER BY CategoryName Asc"
	Call MainSearchInitialize
	Call GetRecordSet(SQLQ)
	strTemp = "<select name=category>"
	If blnDefault = True Then strTemp = strTemp & "<option value="""">All</option>"
	If Not rs.EOF Then
		Do Until rs.EOF
			strTemp = strTemp & "<option value=""" & rs(0) & """>" & rs(1) & "</option>"
			rs.MoveNext
		Loop	
	End If
	strTemp = strTemp & "</select>"
	Call MainSearchClose
	BuildCategoryPickList = strTemp
End Function

Sub LoadTemplate(strTemplate, strTagToReplace)
	Dim tempPath, tempTop, tempBottom, blnTop, intTagLng
	blnTop = True
	intTagLng = Len(strTagToReplace)
	tempPath = Application("AppRoot") & "Templates\"
	If CheckIfFileExists(tempPath, strTemplate) Then
		tempString = OpenTextFile(tempPath, strTemplate)
	End If
	tempString = CheckForForm(tempString)
	For i = 1 To Len(tempString)
		If Mid(tempString, i, intTagLng) = strTagToReplace Then
			blnTop = False
		End if
		If blnTop = True Then	
			tempTop = tempTop & Mid(tempString, i, 1)	
		Else
			tempBottom = tempBottom & Mid(tempString, i, 1)
		End If
	Next
	tempBottom		= Replace(tempBottom, strTagToReplace, "")
	strSearchTop	= tempTop
	strSearchBottom = tempBottom
End Sub

Function CheckForForm(ValueIn)
	Dim strTemp, strForm
	If Instr(ValueIn, "<#POWER#>") <> 0 Then
		strTemp = Replace(ValueIn, "<#POWER#>", BuildPowerSearch)
	ElseIf Instr(ValueIn, "<#QUICK#>") <> 0 Then
		strTemp = Replace(ValueIn, "<#QUICK#>", BuildQuickSearch)
	ElseIf Instr(ValueIn, "<#ADVANCED#>") <> 0 Then
		strTemp = Replace(ValueIn, "<#ADVANCED#>", BuildAdvancedSearch)
	End If
	CheckForForm = strTemp
End Function
'_______________________________________________________________________________

Function BuildAdvancedSearch
	Dim strTemp, tempPath
	tempPath = Application("AppRoot") & "Templates\"
	
	If CheckIfFileExists(tempPath, "advanced.inc") Then
		strTemp = OpenTextFile(tempPath, "advanced.inc")
	End If
	strTemp = Replace(strTemp, "<#CATPICK#>", BuildCategoryPickList(True, 0))
	BuildAdvancedSearch = strTemp
End Function
'_______________________________________________________________________________

Function BuildQuickSearch
	Dim strTemp, tempPath
	tempPath = Application("AppRoot") & "Templates\"	
	If CheckIfFileExists(tempPath, "simple.inc") Then
		strTemp = OpenTextFile(tempPath, "simple.inc")
	End If	
	BuildQuickSearch = strTemp	
End Function
'_______________________________________________________________________________

Function BuildPowerSearch
	Dim strTemp, tempPath
	tempPath = Application("AppRoot") & "Templates\"
	
	If CheckIfFileExists(tempPath, "power.inc") Then
		strTemp = OpenTextFile(tempPath, "power.inc")
	End If	
	strTemp = Replace(strTemp, "<#CATPICK#>", BuildCategoryPickList(True, 0))
	BuildPowerSearch = strTemp	
End Function
%>
